Package be.ehealth.technicalconnector.validator.impl

# Class TimeStampValidatorImpl

java.lang.Object
be.ehealth.technicalconnector.validator.impl.TimeStampValidatorImpl

All Implemented Interfaces:
  `ConfigurableImplementation`, `TimeStampValidator`

public class TimeStampValidatorImpl extends Object implements TimeStampValidator, ConfigurableImplementation
implements the `TimeStampValidator`. it retrieves the keystore and validates the timestamp.

- ## Field Summary

  ### Fields inherited from interface be.ehealth.technicalconnector.validator.TimeStampValidator

  `ALIASLIST, KEYSTORE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeStampValidatorImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(Map<String,Object> parameterMap)`
  initializes the implementation with additional parameters.
  `void`
  `validateTimeStampToken(byte[] bs, org.bouncycastle.tsp.TimeStampToken tsToken)`
  validates the timestamp token.
  `void`
  `validateTimeStampToken(org.bouncycastle.tsp.TimeStampToken tsToken)`
  validates the timestamp token.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeStampValidatorImpl

    public TimeStampValidatorImpl()

- ## Method Details

  - ### validateTimeStampToken

    public void validateTimeStampToken(byte[] bs, org.bouncycastle.tsp.TimeStampToken tsToken) throws InvalidTimeStampException, TechnicalConnectorException
    Description copied from interface: `TimeStampValidator`
    validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid
    Specified by:
      `validateTimeStampToken` in interface `TimeStampValidator`
    Parameters:
      `tsToken` - the `TimeStampToken`
    Throws:
      `TechnicalConnectorException` - if an exception occurs thats not caused by invalid timestamp
      `InvalidTimeStampException` - if the timestamp was not valid
    See Also:
      - `TimeStampValidator.validateTimeStampToken(byte[], TimeStampToken)`

  - ### validateTimeStampToken

    public void validateTimeStampToken(org.bouncycastle.tsp.TimeStampToken tsToken) throws InvalidTimeStampException, TechnicalConnectorException
    Description copied from interface: `TimeStampValidator`
    validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid
    Specified by:
      `validateTimeStampToken` in interface `TimeStampValidator`
    Parameters:
      `tsToken` - the `TimeStampToken`
    Throws:
      `TechnicalConnectorException` - if an exception occurs thats not caused by invalid timestamp
      `InvalidTimeStampException` - if the timestamp was not valid
    See Also:
      - `TimeStampValidator.validateTimeStampToken(TimeStampToken)`

  - ### initialize

    public void initialize(Map<String,Object> parameterMap) throws TechnicalConnectorException
    Description copied from interface: `ConfigurableImplementation`
    initializes the implementation with additional parameters.
    Specified by:
      `initialize` in interface `ConfigurableImplementation`
    Parameters:
      `parameterMap` - Map with for each propertyString ,the input parameter as Object.
    Throws:
      `TechnicalConnectorException` - if the parameterMap is not correct.